Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class PolicyListDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.SystemObjectDefinition
              oracle.ifs.beans.PolicyListDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class PolicyListDefinition

extends SystemObjectDefinition

A `PolicyListDefinition` is used to create or update a PolicyList object. Most of the specifications can be set using the `setAttribute()` method inherited from LibraryObjectDefinition. The specifications that must be set with explicit methods on this class are:

- addPolicyListElementDefinition - adds an PolicyListElementDefinition. The newly created/modified PolicyList will have the specified PolicyListElements created as part of the operation.

See Also:
  `PolicyList`, Serialized Form
(Published)

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`PolicyListDefinition(LibrarySessionInterface session)` Construct a definition explicitly capturing the session.
`PolicyListDefinition(LibrarySessionInterface session, java.lang.String className)` Construct a definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`void` | `addPolicyListElementDefinition(PolicyListElementDefinition def)` Adds an PolicyListElement Definition to this instance.
`void` | `addPolicyListElementDefinitions(PolicyListElementDefinition[] defs)` Adds a set of new PolicyListElement definitions.
`PolicyListElementDefinition[]` | `getPolicyListElementDefinitions()` returns all the ACE Definitions for this instance.
`void` | `removePolicyListElementDefinitions()` Removes all m_PolicyListElement definition specifications from this instance.
`void` | `setPolicyListElementDefinitions(PolicyListElementDefinition[] defs)` Defines a set of new PolicyListElement Definitions.

Methods inherited from class oracle.ifs.beans.SystemObjectDefinition
`addCategoryDefinition, addCategoryDefinitionForUpdate, addCategoryDefinitions, addCategoryForDelete, getCategoriesForDelete, getCategoryDefinitions, getCategoryDefinitionsForUpdate, getCreateCategoriesServerSideOption, removeCategoriesForDelete, removeCategoryDefinitions, removeCategoryDefinitionsForUpdate, setCategoryDefinitions, setCreateCategoriesServerSideOption, toSystemObjectDefinition, toSystemObjectDefinition`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, addPropertyDefinition, addPropertyDefinitions, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getPropertyDefinitions, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removePropertyDefinitions, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyListDefinition

    public PolicyListDefinition(LibrarySessionInterface session)
                         throws IfsException

  Construct a definition explicitly capturing the session. The initial ClassObject will be PolicyList.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### PolicyListDefinition

    public PolicyListDefinition(LibrarySessionInterface session,
                                java.lang.String className)
                         throws IfsException

  Construct a definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### addPolicyListElementDefinition

    public final void addPolicyListElementDefinition(PolicyListElementDefinition def)
                                              throws IfsException

  Description copied from class: `PolicyListDefinition`
  Adds an PolicyListElement Definition to this instance.

  Parameters:
    `def` - the definition to add
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addPolicyListElementDefinitions

    public void addPolicyListElementDefinitions(PolicyListElementDefinition[] defs)
                                         throws IfsException

  Description copied from class: `PolicyListDefinition`
  Adds a set of new PolicyListElement definitions. All specified PolicyListElementDefinitions will be added to the current set of definitions held by this instance.

  Parameters:
    `defs` - the PolicyListElement definitions to be added for this instance
  Throws:
    `IfsException`
  (Unpublished)

### setPolicyListElementDefinitions

    public void setPolicyListElementDefinitions(PolicyListElementDefinition[] defs)
                                         throws IfsException

  Description copied from class: `PolicyListDefinition`
  Defines a set of new PolicyListElement Definitions. All previously specified PolicyListElementDefinitions will be removed, prior to adding this set to the instance.

  Parameters:
    `defs` - the PolicyListElement definitions
  Throws:
    `IfsException`
  (Unpublished)

### removePolicyListElementDefinitions

    public void removePolicyListElementDefinitions()
                                            throws IfsException

  Description copied from class: `PolicyListDefinition`
  Removes all m_PolicyListElement definition specifications from this instance.

  Throws:
    `IfsException`
  (Unpublished)

### getPolicyListElementDefinitions

    public PolicyListElementDefinition[] getPolicyListElementDefinitions()
                                                                  throws IfsException

  Description copied from class: `PolicyListDefinition`
  returns all the ACE Definitions for this instance. Return null if no ACE definitions have been specified.

  Returns:
    ACE Definitions for this instance.
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD